#############
# $Id: read.pm 13203 2011-05-18 10:56:49Z ajb $
# Created By: ajb
# Last Maintained By: $Author: ajb $
# Created On: 2009-07-07
# Last Changed On: $Date: 2011-05-18 11:56:49 +0100 (Wed, 18 May 2011) $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-pipeline/tags/release-29.0/lib/npg_pipeline/run/status/read.pm $

package npg_pipeline::run::status::read;
use Moose;
use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$LastChangedRevision: 13203 $ =~ /(\d+)/mxs; $r; };

extends q{npg_pipeline::run::status};

sub read { ## no critic (Subroutines::ProhibitBuiltinHomonyms)
  my ($self) = @_;

  my $id_run = $self->id_run();
  my $run    = $self->run();

  $self->log( qq{run $id_run has a run status of } . $run->current_run_status->description() );
  return $run->current_run_status->description();
}

no Moose;
__PACKAGE__->meta->make_immutable;
1;
__END__

=head1 NAME

npg_pipeline::run::status::read

=head1 VERSION

$LastChangedRevision: 13203 $

=head1 SYNOPSIS

  my $rsu = npg_pipeline::run::status::read->new({
    run => npg::api::run object,
    id_run => $iIdRun,
  });

  $rsu->read();

=head1 DESCRIPTION

Class which will obtain the current run status

=head1 SUBROUTINES/METHODS

=head2 read - method to call to obtain a run's status

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item Moose

=item npg_pipeline::run::status

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

$Author: ajb $

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Andy Brown (ajb@sanger.ac.uk)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
