# $Id: 15-ini.t 12242 2011-01-06 13:08:03Z ajb $
use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 14;
use Test::Exception;
use lib qw{t};
use t::util;
use DateTime;

BEGIN {
  use_ok( q{npg_pipeline::ConfigReader} );
  use_ok( q{npg_pipeline::base} );
}

{

  my $config_reader;
  lives_ok {
    $config_reader = npg_pipeline::ConfigReader->new({
      conf_name => q{external_script_names.ini},
      conf_path => q{data/config_files},
    });
  } q{creates object};
  isa_ok( $config_reader, q{npg_pipeline::ConfigReader}, q{$config_reader} );

  is( $config_reader->file_config(), $config_reader->file_config(), q{config_data has been read and cached} );

}

{
  my $base;
  lives_ok {
    $base = npg_pipeline::base->new({
      conf_path => q{data/config_files},
      domain => q{test},
    });
  } q{base ok};

  foreach my $config_group ( qw{
    external_script_names_conf
    filesystem_locations_conf
    function_order_conf
    general_values_conf
    illumina_pipeline_conf
    pb_cal_pipeline_conf
    references_conf
    source_files_conf
  } ) {
    isa_ok( $base->$config_group(), q{HASH}, q{$} . qq{base->$config_group} );
  }
}

1;